[ARVADOS] updated: a501e1d874f01acc318e7963837fbeb58a29f744
Git user
git at public.curoverse.com
Fri Apr 14 16:19:10 EDT 2017
Summary of changes:
build/run-tests.sh | 13 ++++++++-----
1 file changed, 8 insertions(+), 5 deletions(-)
via a501e1d874f01acc318e7963837fbeb58a29f744 (commit)
via b9d004b5369b99b216e66cb7d4a9505792276613 (commit)
from f2c1db3480befa2c29a742313465e7cc9f2635b1 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit a501e1d874f01acc318e7963837fbeb58a29f744
Author: Tom Clegg <tom at curoverse.com>
Date: Fri Apr 14 16:16:58 2017 -0400
11308: Stop if fuse.h or gnutls.h sanity check fails.
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 2527302..a9f63ae 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -177,10 +177,10 @@ sanity_checks() {
gcc --version | egrep ^gcc \
|| fatal "No gcc. Try: apt-get install build-essential"
echo -n 'fuse.h: '
- find /usr/include -wholename '*fuse/fuse.h' \
+ find /usr/include -path '*fuse/fuse.h' | egrep --max-count=1 . \
|| fatal "No fuse/fuse.h. Try: apt-get install libfuse-dev"
echo -n 'gnutls.h: '
- find /usr/include -wholename '*gnutls/gnutls.h' \
+ find /usr/include -path '*gnutls/gnutls.h' | egrep --max-count=1 . \
|| fatal "No gnutls/gnutls.h. Try: apt-get install libgnutls28-dev"
echo -n 'Python2 pyconfig.h: '
find /usr/include -path '*/python2*/pyconfig.h' | egrep --max-count=1 . \
commit b9d004b5369b99b216e66cb7d4a9505792276613
Author: Tom Clegg <tom at curoverse.com>
Date: Fri Apr 14 16:12:55 2017 -0400
11308: Add sanity check for python3-dev.
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 9649d7b..2527302 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -182,9 +182,12 @@ sanity_checks() {
echo -n 'gnutls.h: '
find /usr/include -wholename '*gnutls/gnutls.h' \
|| fatal "No gnutls/gnutls.h. Try: apt-get install libgnutls28-dev"
- echo -n 'pyconfig.h: '
- find /usr/include -name pyconfig.h | egrep --max-count=1 . \
- || fatal "No pyconfig.h. Try: apt-get install python-dev"
+ echo -n 'Python2 pyconfig.h: '
+ find /usr/include -path '*/python2*/pyconfig.h' | egrep --max-count=1 . \
+ || fatal "No Python2 pyconfig.h. Try: apt-get install python2.7-dev"
+ echo -n 'Python3 pyconfig.h: '
+ find /usr/include -path '*/python3*/pyconfig.h' | egrep --max-count=1 . \
+ || fatal "No Python3 pyconfig.h. Try: apt-get install python3-dev"
echo -n 'nginx: '
PATH="$PATH:/sbin:/usr/sbin:/usr/local/sbin" nginx -v \
|| fatal "No nginx. Try: apt-get install nginx"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list